## lxqt-archiver 0.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(lxqt-archiver)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)


set(GLIB_MINIMUM_VERSION "2.50.0")
set(LIBFMQT_MINIMUM_VERSION "0.16.0")
set(LXQTBT_MINIMUM_VERSION "0.8.0")
set(QT_MINIMUM_VERSION "5.12.0")

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)

include(GNUInstallDirs)


find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5X11Extras ${QT_MINIMUM_VERSION} REQUIRED)  # seems to be required by fm-qt?
find_package(fm-qt ${LIBFMQT_MINIMUM_VERSION} REQUIRED)
find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)

find_package(GLIB ${GLIB_MINIMUM_VERSION} REQUIRED)
find_package(PkgConfig REQUIRED)

pkg_check_modules(
    GLIB_JSON
    json-glib-1.0
    REQUIRED
)

set(LXQT_ARCHIVER_MAJOR_VERSION 0)
set(LXQT_ARCHIVER_MINOR_VERSION 3)
set(LXQT_ARCHIVER_PATCH_VERSION 0)
set(LXQT_ARCHIVER_VERSION ${LXQT_ARCHIVER_MAJOR_VERSION}.${LXQT_ARCHIVER_MINOR_VERSION}.${LXQT_ARCHIVER_PATCH_VERSION})
add_definitions("-DLXQT_ARCHIVER_VERSION=\"${LXQT_ARCHIVER_VERSION}\"")

include(LXQtPreventInSourceBuilds)
include(LXQtCompilerSettings NO_POLICY_SCOPE)
include(LXQtTranslate)

add_subdirectory(src)

=== src/CMakeLists.txt ===
add_subdirectory(core)

include_directories(
    core
    ${GLIB_INCLUDE_DIRS}
    ${GLIB_JSON_INCLUDE_DIRS}
    ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)

set(lxqt-archiver_SRCS
    main.cpp
    mainwindow.cpp
    archiver.cpp
    archivererror.cpp
    archiveritem.cpp
    archiverproxymodel.cpp
    progressdialog.cpp
    passworddialog.cpp
    createfiledialog.cpp
    extractfiledialog.cpp
    filetreeView.cpp
)

set(lxqt-archiver_UI
    mainwindow.ui
    progressdialog.ui
    passworddialog.ui
    create.ui
    extract.ui
    about.ui
)

# Translations
lxqt_translate_ts(lxqt-archiver_QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        corestrs.h  # translatable strings of src/core/*.c genreated using extract_c_strs.py
        ${lxqt-archiver_SRCS}
        ${lxqt-archiver_UI}
    INSTALL_DIR
        "${CMAKE_INSTALL_DATADIR}/lxqt-archiver/translations"
)

lxqt_translate_desktop(DESKTOP_FILES
    SOURCES
    lxqt-archiver.desktop.in
)

add_executable(lxqt-archiver
    ${lxqt-archiver_SRCS}
    ${lxqt-archiver_QM_FILES}
    ${lxqt-archiver_UI}
    ${DESKTOP_FILES}
)

target_compile_definitions(lxqt-archiver
    PRIVATE
        LXQT_ARCHIVER_DATA_DIR="${CMAKE_INSTALL_PREFIX}/share/lxqt-archiver"
        LXQT_ARCHIVER_VERSION="${LXQT_ARCHIVER_VERSION}"
        QT_NO_FOREACH
        QT_NO_KEYWORDS
)

target_link_libraries(lxqt-archiver
    Qt5::Widgets
    fm-qt
    lxqt-archiver-core
    ${GLIB_LIBRARIES}
    ${GLIB_JSON_LDFLAGS}
)

install(TARGETS
    lxqt-archiver
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)

install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications"
    COMPONENT Runtime
)

install(
    FILES icons/lxqt-archiver.svg
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/apps"
)

=== src/core/CMakeLists.txt ===
include_directories(
    ${GLIB_INCLUDE_DIRS}
    ${GLIB_JSON_INCLUDE_DIRS}
    ${CMAKE_BINARY_DIR}
)

add_definitions(
    -DSHDIR=\"${CMAKE_INSTALL_LIBEXECDIR}/lxqt-archiver\"
)

add_library(lxqt-archiver-core STATIC
    tr-wrapper.c  # our own wrapper for QTranslater
    file-data.c
    file-utils.c
    fr-archive.c
    fr-command-7z.c
    fr-command-ace.c
    fr-command-alz.c
    fr-command-ar.c
    fr-command-arj.c
    fr-command.c
    fr-command-cfile.c
    fr-command-cpio.c
    fr-command-dpkg.c
    fr-command-iso.c
    fr-command-jar.c
    fr-command-lha.c
    fr-command-lrzip.c
    fr-command-rar.c
    fr-command-rpm.c
    fr-command-tar.c
    fr-command-unarchiver.c
    fr-command-unstuff.c
    fr-command-zip.c
    fr-command-zoo.c
    fr-enum-types.c
    fr-error.c
    fr-init.c
    fr-marshal.c
    fr-proc-error.c
    fr-process.c
    gio-utils.c
    glib-utils.c
    java-utils.c
    rar-utils.c
)

target_link_libraries(lxqt-archiver-core
    ${GLIB_LIBRARIES}
    ${GLIB_JSON_LDFLAGS}
)

set(SCRIPT_FILES
    sh/isoinfo.sh
)

install(FILES
    ${SCRIPT_FILES}
    DESTINATION "${CMAKE_INSTALL_LIBEXECDIR}/lxqt-archiver"
    COMPONENT Runtime
)

=== debian/changelog ===
lxqt-archiver (0.3.0-2ubuntu1) hirsute; urgency=medium

  * d/control: Build-depend with version on libfm-qt-dev (>= 0.16.0)
    (Requested by Lubuntu Team, to force proper qt dependency versions)
  * This upload fixes the FTBFS introduced by 0.3.0-2 caused by the version 
    of libfm-qt-dev not being 0.16.0 at the time of initial build after auto-
    sync.
  * This will block autosync as well in the future, permitting this package
    to be merged and not automatically superseded (as needed by the Lubuntu 
    Team for other libraries' compatibilities).

 -- Thomas Ward <teward@ubuntu.com>  Sun, 21 Feb 2021 17:20:04 -0500

lxqt-archiver (0.3.0-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Mon, 01 Feb 2021 19:36:32 +0800

lxqt-archiver (0.3.0-1) unstable; urgency=medium

  [ Andrew Lee (李健秋) ]
  * Add myself as uploaders
  * Correct source/format file
  * debian/lxqt-archiver.install: ship correct files

  [ Yao Wei (魏銘廷) ]
  * debian/copyright: Update copyright file
  * debian/control: Add mwei@debian.org as Uploader

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Thu, 07 Jan 2021 21:41:59 +0800

lxqt-archiver (0.0.0.96-1) experimental; urgency=medium

  * Initial release (Closes: #902808)

 -- Alf Gaida <agaida@siduction.org>  Mon, 25 Jun 2018 22:15:30 +0200

=== debian/control ===
Source: lxqt-archiver
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Yao Wei (魏銘廷) <mwei@debian.org>,
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               cmake,
               libfm-qt-dev (>= 0.16.0),
               libjson-glib-dev,
               libmagic-dev,
               lxqt-build-tools,
               libqt5x11extras5-dev,
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-archiver
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-archiver.git
Homepage: https://github.com/lxqt/lxqt-archiver

Package: lxqt-archiver
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         bzip2,
         p7zip-full
Recommends: gvfs,
            lxqt-archiver-l10n,
            unzip,
            xz-utils,
            zip
Suggests: arj,
          binutils,
          cpio,
          lha,
          lzip,
          lzma,
          lzop,
          ncompress,
          rar,
          rpm2cpio,
          rzip,
          sharutils,
          unace,
          unalz,
          unrar-free | unar | unrar | p7zip-rar,
          zoo
Description: Archiv Manager for LXQt
 LXQt Archiver is an archive manager for the LXQt environment.
 It allows you to:
  * Create and modify archives.
  * View the content of an archive.
  * View a file contained in an archive.
  * Extract files from the archive.
 .
 LXQt Archiver supports the following formats:
  * Tar (.tar) archives, including those compressed with
    gzip (.tar.gz, .tgz), bzip (.tar.bz, .tbz), bzip2 (.tar.bz2, .tbz2),
    compress (.tar.Z, .taz), lzip (.tar.lz, .tlz), lzop (.tar.lzo, .tzo),
    lzma (.tar.lzma) and xz (.tar.xz)
  * Zip archives (.zip)
  * Jar archives (.jar, .ear, .war)
  * 7z archives (.7z)
  * iso9660 CD images (.iso)
  * Lha archives (.lzh)
  * Single files compressed with gzip (.gz), bzip (.bz), bzip2 (.bz2),
    compress (.Z), lzip (.lz), lzop (.lzo), lzma (.lzma) and xz (.xz)
 .
 LXQt Archiver doesn't perform archive operations by itself, but relies on
 standard tools for this.
 .
 This package contain the LXQt archiver.

Package: lxqt-archiver-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Description: Language package for lxqt-archiver
 LXQt Archiver is an archive manager for the LXQt environment.
 .
 This package contains the l10n files needed by the lxqt-archiver.

## lxqt-archiver 0.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,8 +10,8 @@
 
 
 set(GLIB_MINIMUM_VERSION "2.50.0")
-set(LIBFMQT_MINIMUM_VERSION "0.16.0")
-set(LXQTBT_MINIMUM_VERSION "0.8.0")
+set(LIBFMQT_MINIMUM_VERSION "0.17.0")
+set(LXQTBT_MINIMUM_VERSION "0.9.0")
 set(QT_MINIMUM_VERSION "5.12.0")
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
@@ -40,7 +40,7 @@
 )
 
 set(LXQT_ARCHIVER_MAJOR_VERSION 0)
-set(LXQT_ARCHIVER_MINOR_VERSION 3)
+set(LXQT_ARCHIVER_MINOR_VERSION 4)
 set(LXQT_ARCHIVER_PATCH_VERSION 0)
 set(LXQT_ARCHIVER_VERSION ${LXQT_ARCHIVER_MAJOR_VERSION}.${LXQT_ARCHIVER_MINOR_VERSION}.${LXQT_ARCHIVER_PATCH_VERSION})
 add_definitions("-DLXQT_ARCHIVER_VERSION=\"${LXQT_ARCHIVER_VERSION}\"")

=== debian/changelog ===
lxqt-archiver (0.4.0-0ubuntu1) impish; urgency=medium

  * New upstream release 0.4.0
  * Update debian/control
    - Use dephelper-compat 13
    - Use libfm-qt-dev 0.17.1
    - Use lxqt-build-tools 0.9.0
    - Bump Standards-Version to 4.5.1
  * Run wrap-and-sort
  * Update upstream signing key
  * Update debian/lxqt-archiver.install

 -- apt-ghetto <apt-ghetto@protonmail.com>  Wed, 11 Aug 2021 11:03:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,27 @@
 Source: lxqt-archiver
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
-           Yao Wei (魏銘廷) <mwei@debian.org>,
+           Yao Wei (魏銘廷) <mwei@debian.org>
 Section: x11
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               cmake,
-               libfm-qt-dev (>= 0.16.0),
+Build-Depends: cmake,
+               debhelper-compat (= 13),
+               libfm-qt-dev (>= 0.17.1),
                libjson-glib-dev,
                libmagic-dev,
-               lxqt-build-tools,
                libqt5x11extras5-dev,
-Standards-Version: 4.4.0
+               lxqt-build-tools (>= 0.9.0)
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-archiver
 Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-archiver.git
 Homepage: https://github.com/lxqt/lxqt-archiver
 
 Package: lxqt-archiver
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         bzip2,
-         p7zip-full
-Recommends: gvfs,
-            lxqt-archiver-l10n,
-            unzip,
-            xz-utils,
-            zip
+Depends: bzip2, p7zip-full, ${misc:Depends}, ${shlibs:Depends}
+Recommends: gvfs, lxqt-archiver-l10n, unzip, xz-utils, zip
 Suggests: arj,
           binutils,
           cpio,
@@ -75,8 +68,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: localization
-Depends: ${misc:Depends},
-         qttranslations5-l10n
+Depends: qttranslations5-l10n, ${misc:Depends}
 Description: Language package for lxqt-archiver
  LXQt Archiver is an archive manager for the LXQt environment.
  .

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-format

%:
	dh ${@} --buildsystem cmake

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUPDATE_TRANSLATIONS=OFF \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/lxqt/lxqt-archiver/releases .*/lxqt-archiver-([\d\.]+).tar.xz

## lxqt-archiver 0.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,9 +10,9 @@
 
 
 set(GLIB_MINIMUM_VERSION "2.50.0")
-set(LIBFMQT_MINIMUM_VERSION "0.17.0")
-set(LXQTBT_MINIMUM_VERSION "0.9.0")
-set(QT_MINIMUM_VERSION "5.12.0")
+set(LIBFMQT_MINIMUM_VERSION "1.1.0")
+set(LXQTBT_MINIMUM_VERSION "0.11.0")
+set(QT_MINIMUM_VERSION "5.15.0")
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
@@ -40,7 +40,7 @@
 )
 
 set(LXQT_ARCHIVER_MAJOR_VERSION 0)
-set(LXQT_ARCHIVER_MINOR_VERSION 4)
+set(LXQT_ARCHIVER_MINOR_VERSION 6)
 set(LXQT_ARCHIVER_PATCH_VERSION 0)
 set(LXQT_ARCHIVER_VERSION ${LXQT_ARCHIVER_MAJOR_VERSION}.${LXQT_ARCHIVER_MINOR_VERSION}.${LXQT_ARCHIVER_PATCH_VERSION})
 add_definitions("-DLXQT_ARCHIVER_VERSION=\"${LXQT_ARCHIVER_VERSION}\"")

=== debian/changelog ===
lxqt-archiver (0.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Upstreamed compatible changes from Ubuntu, modifying the following files:
    - control
    - copyright
    - lintian-overrides
    - rules
    - upstream/*
    - lxqt-archiver.install

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Tue, 12 Jul 2022 17:15:16 -0500

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,24 @@
 Source: lxqt-archiver
-Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
-           Yao Wei (魏銘廷) <mwei@debian.org>
+           Yao Wei (魏銘廷) <mwei@debian.org>,
+           Simon Quigley <tsimonq2@debian.org>,
+           Aaron Rainbolt <arraybolt3@gmail.com>
 Section: x11
 Priority: optional
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               libfm-qt-dev (>= 0.17.1),
+               libfm-qt-dev (>= 1.1.0),
                libjson-glib-dev,
                libmagic-dev,
                libqt5x11extras5-dev,
-               lxqt-build-tools (>= 0.9.0)
-Standards-Version: 4.5.1
+               lxqt-build-tools (>= 0.11.0)
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-archiver
 Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-archiver.git
 Homepage: https://github.com/lxqt/lxqt-archiver
+Rules-Requires-Root: no
 
 Package: lxqt-archiver
 Architecture: any

## lxqt-archiver 0.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,8 +10,8 @@
 
 
 set(GLIB_MINIMUM_VERSION "2.50.0")
-set(LIBFMQT_MINIMUM_VERSION "1.1.0")
-set(LXQTBT_MINIMUM_VERSION "0.11.0")
+set(LIBFMQT_MINIMUM_VERSION "1.2.0")
+set(LXQTBT_MINIMUM_VERSION "0.12.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
@@ -40,7 +40,7 @@
 )
 
 set(LXQT_ARCHIVER_MAJOR_VERSION 0)
-set(LXQT_ARCHIVER_MINOR_VERSION 6)
+set(LXQT_ARCHIVER_MINOR_VERSION 7)
 set(LXQT_ARCHIVER_PATCH_VERSION 0)
 set(LXQT_ARCHIVER_VERSION ${LXQT_ARCHIVER_MAJOR_VERSION}.${LXQT_ARCHIVER_MINOR_VERSION}.${LXQT_ARCHIVER_PATCH_VERSION})
 add_definitions("-DLXQT_ARCHIVER_VERSION=\"${LXQT_ARCHIVER_VERSION}\"")

=== debian/changelog ===
lxqt-archiver (0.7.0-3) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 03 Dec 2022 00:52:51 +0800

lxqt-archiver (0.7.0-2) experimental; urgency=medium

  * Restore Build-Depends, Depends layout in d/control.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 03 Dec 2022 00:52:35 +0800

lxqt-archiver (0.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Update and sort d/copyright.
  * Update d/watch got GitHub.
  * Add ChangZhuo Chen as Uploaders.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 30 Nov 2022 21:52:14 +0800

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
            Andrew Lee (李健秋) <ajqlee@debian.org>,
            Yao Wei (魏銘廷) <mwei@debian.org>,
            Simon Quigley <tsimonq2@debian.org>,
-           Aaron Rainbolt <arraybolt3@gmail.com>
+           Aaron Rainbolt <arraybolt3@gmail.com>,
+           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
 Section: x11
 Priority: optional
-Build-Depends: cmake,
-               debhelper-compat (= 13),
-               libfm-qt-dev (>= 1.1.0),
+Build-Depends: debhelper-compat (= 13),
+               cmake,
+               libfm-qt-dev (>= 1.2.0-3~),
                libjson-glib-dev,
                libmagic-dev,
                libqt5x11extras5-dev,
-               lxqt-build-tools (>= 0.11.0)
+               lxqt-build-tools (>= 0.12.0~)
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-archiver
 Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-archiver.git
@@ -22,8 +23,15 @@
 
 Package: lxqt-archiver
 Architecture: any
-Depends: bzip2, p7zip-full, ${misc:Depends}, ${shlibs:Depends}
-Recommends: gvfs, lxqt-archiver-l10n, unzip, xz-utils, zip
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         bzip2,
+         p7zip-full
+Recommends: gvfs,
+            lxqt-archiver-l10n,
+            unzip,
+            xz-utils,
+            zip
 Suggests: arj,
           binutils,
           cpio,
@@ -70,7 +78,8 @@
 Architecture: all
 Multi-Arch: foreign
 Section: localization
-Depends: qttranslations5-l10n, ${misc:Depends}
+Depends: ${misc:Depends},
+         qttranslations5-l10n
 Description: Language package for lxqt-archiver
  LXQt Archiver is an archive manager for the LXQt environment.
  .

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # export DH_VERBOSE=1
 
 export LC_ALL=C.UTF-8
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-format
 
 %:

## lxqt-archiver 0.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,8 +10,8 @@
 
 
 set(GLIB_MINIMUM_VERSION "2.50.0")
-set(LIBFMQT_MINIMUM_VERSION "1.2.0")
-set(LXQTBT_MINIMUM_VERSION "0.12.0")
+set(LIBFMQT_MINIMUM_VERSION "1.3.0")
+set(LXQTBT_MINIMUM_VERSION "0.13.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
@@ -40,7 +40,7 @@
 )
 
 set(LXQT_ARCHIVER_MAJOR_VERSION 0)
-set(LXQT_ARCHIVER_MINOR_VERSION 7)
+set(LXQT_ARCHIVER_MINOR_VERSION 8)
 set(LXQT_ARCHIVER_PATCH_VERSION 0)
 set(LXQT_ARCHIVER_VERSION ${LXQT_ARCHIVER_MAJOR_VERSION}.${LXQT_ARCHIVER_MINOR_VERSION}.${LXQT_ARCHIVER_PATCH_VERSION})
 add_definitions("-DLXQT_ARCHIVER_VERSION=\"${LXQT_ARCHIVER_VERSION}\"")

=== debian/changelog ===
lxqt-archiver (0.8.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * Bump build dependencies.
  * Bump Standards-version to 4.6.2, no changes needed.
  * Update copyright years.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 11 Aug 2023 09:49:36 -0500

lxqt-archiver (0.7.0-0ubuntu2) lunar; urgency=medium

  * No-change rebuild against libfm-qt 1.2.1.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Fri, 27 Jan 2023 15:49:34 -0600

lxqt-archiver (0.7.0-0ubuntu1) lunar; urgency=medium

  * New upstream version.
  * Fix the watch file, for real this time.
  * Lubuntuify the package slightly, to make debhelper happy.
  * Bump build dependencies in debian/control.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 17 Nov 2022 22:12:24 -0600

=== debian/control ===
--- 
+++ 
@@ -1,37 +1,32 @@
 Source: lxqt-archiver
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
            Yao Wei (魏銘廷) <mwei@debian.org>,
            Simon Quigley <tsimonq2@debian.org>,
-           Aaron Rainbolt <arraybolt3@gmail.com>,
-           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
+           Aaron Rainbolt <arraybolt3@gmail.com>
 Section: x11
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               cmake,
-               libfm-qt-dev (>= 1.2.0-3~),
+Build-Depends: cmake,
+               debhelper-compat (= 13),
+               libfm-qt-dev (>= 1.3.0),
                libjson-glib-dev,
                libmagic-dev,
                libqt5x11extras5-dev,
-               lxqt-build-tools (>= 0.12.0~)
+               lxqt-build-tools (>= 0.13.0)
 Standards-Version: 4.6.1
-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-archiver
-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-archiver.git
+Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-archiver-packaging
+Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-archiver-packaging.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-archiver
+XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-archiver.git
 Homepage: https://github.com/lxqt/lxqt-archiver
 Rules-Requires-Root: no
 
 Package: lxqt-archiver
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         bzip2,
-         p7zip-full
-Recommends: gvfs,
-            lxqt-archiver-l10n,
-            unzip,
-            xz-utils,
-            zip
+Depends: bzip2, p7zip-full, ${misc:Depends}, ${shlibs:Depends}
+Recommends: gvfs, lxqt-archiver-l10n, unzip, xz-utils, zip
 Suggests: arj,
           binutils,
           cpio,
@@ -48,7 +43,7 @@
           unalz,
           unrar-free | unar | unrar | p7zip-rar,
           zoo
-Description: Archiv Manager for LXQt
+Description: Archive Manager for LXQt
  LXQt Archiver is an archive manager for the LXQt environment.
  It allows you to:
   * Create and modify archives.
@@ -78,8 +73,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: localization
-Depends: ${misc:Depends},
-         qttranslations5-l10n
+Depends: qttranslations5-l10n, ${misc:Depends}
 Description: Language package for lxqt-archiver
  LXQt Archiver is an archive manager for the LXQt environment.
  .

## lxqt-archiver 0.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 
 set(GLIB_MINIMUM_VERSION "2.50.0")
-set(LIBFMQT_MINIMUM_VERSION "1.3.0")
+set(LIBFMQT_MINIMUM_VERSION "1.4.0")
 set(LXQTBT_MINIMUM_VERSION "0.13.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
@@ -40,7 +40,7 @@
 )
 
 set(LXQT_ARCHIVER_MAJOR_VERSION 0)
-set(LXQT_ARCHIVER_MINOR_VERSION 8)
+set(LXQT_ARCHIVER_MINOR_VERSION 9)
 set(LXQT_ARCHIVER_PATCH_VERSION 0)
 set(LXQT_ARCHIVER_VERSION ${LXQT_ARCHIVER_MAJOR_VERSION}.${LXQT_ARCHIVER_MINOR_VERSION}.${LXQT_ARCHIVER_PATCH_VERSION})
 add_definitions("-DLXQT_ARCHIVER_VERSION=\"${LXQT_ARCHIVER_VERSION}\"")

=== debian/changelog ===
lxqt-archiver (0.9.0-1) experimental; urgency=medium

  * New upstream version 0.9.0.
  * debian/control: build-deps on libfm-qt-dev (>= 1.4.0~).

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 12 Dec 2023 15:22:35 +0100

lxqt-archiver (0.8.0-3) unstable; urgency=medium

  * debian/rules: Drop --fail-missing argument to dh_missing which is now
    default in debhelper 13.
  * debian/copyright: update
  * debian/upstream/metadata: drop obsolete field Name.
  * debian/upstream/metadata: correct the git Repository url as itʼs
    different from Repository-Browse.
  * debian/upstream/metadata: added Repository-Browse field.
  * debian/rules: suppress blhc error by added ignore-line-regexp.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 09 Sep 2023 14:02:39 +0200

lxqt-archiver (0.8.0-2) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 27 Jul 2023 09:16:05 +0800

lxqt-archiver (0.8.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2.
  * Remove DEB_BUILD_MAINT_OPTIONS in d/rules.
  * Change team email to <team+lxqt@tracker.debian.org>.
  * Update d/copyright.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 19 Jun 2023 01:33:32 +0800

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,37 @@
 Source: lxqt-archiver
-Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
            Yao Wei (魏銘廷) <mwei@debian.org>,
            Simon Quigley <tsimonq2@debian.org>,
-           Aaron Rainbolt <arraybolt3@gmail.com>
+           Aaron Rainbolt <arraybolt3@gmail.com>,
+           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
 Section: x11
 Priority: optional
-Build-Depends: cmake,
-               debhelper-compat (= 13),
-               libfm-qt-dev (>= 1.3.0),
+Build-Depends: debhelper-compat (= 13),
+               cmake,
+               libfm-qt-dev (>= 1.4.0~),
                libjson-glib-dev,
                libmagic-dev,
                libqt5x11extras5-dev,
-               lxqt-build-tools (>= 0.13.0)
-Standards-Version: 4.6.1
-Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-archiver-packaging
-Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-archiver-packaging.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-archiver
-XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-archiver.git
+               lxqt-build-tools (>= 0.13.0~)
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-archiver
+Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-archiver.git
 Homepage: https://github.com/lxqt/lxqt-archiver
 Rules-Requires-Root: no
 
 Package: lxqt-archiver
 Architecture: any
-Depends: bzip2, p7zip-full, ${misc:Depends}, ${shlibs:Depends}
-Recommends: gvfs, lxqt-archiver-l10n, unzip, xz-utils, zip
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         bzip2,
+         p7zip-full
+Recommends: gvfs,
+            lxqt-archiver-l10n,
+            unzip,
+            xz-utils,
+            zip
 Suggests: arj,
           binutils,
           cpio,
@@ -43,7 +48,7 @@
           unalz,
           unrar-free | unar | unrar | p7zip-rar,
           zoo
-Description: Archive Manager for LXQt
+Description: Archiv Manager for LXQt
  LXQt Archiver is an archive manager for the LXQt environment.
  It allows you to:
   * Create and modify archives.
@@ -73,7 +78,8 @@
 Architecture: all
 Multi-Arch: foreign
 Section: localization
-Depends: qttranslations5-l10n, ${misc:Depends}
+Depends: ${misc:Depends},
+         qttranslations5-l10n
 Description: Language package for lxqt-archiver
  LXQt Archiver is an archive manager for the LXQt environment.
  .

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUPDATE_TRANSLATIONS=OFF \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

execute_before_dh_auto_build:
	@echo "blhc: ignore-line-regexp: .*/CMakeCXXCompilerABI[.]cpp.*"

## lxqt-archiver 0.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,10 @@
 
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
+option(USE_7Z "Building with 7zip instead of p7zip" OFF)
+if(USE_7Z)
+    add_definitions(-DUSE_7Z)
+endif()
 
 set(GLIB_MINIMUM_VERSION "2.50.0")
 set(LIBFMQT_MINIMUM_VERSION "1.4.0")
@@ -41,7 +45,7 @@
 
 set(LXQT_ARCHIVER_MAJOR_VERSION 0)
 set(LXQT_ARCHIVER_MINOR_VERSION 9)
-set(LXQT_ARCHIVER_PATCH_VERSION 0)
+set(LXQT_ARCHIVER_PATCH_VERSION 1)
 set(LXQT_ARCHIVER_VERSION ${LXQT_ARCHIVER_MAJOR_VERSION}.${LXQT_ARCHIVER_MINOR_VERSION}.${LXQT_ARCHIVER_PATCH_VERSION})
 add_definitions("-DLXQT_ARCHIVER_VERSION=\"${LXQT_ARCHIVER_VERSION}\"")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,7 @@
     createfiledialog.cpp
     extractfiledialog.cpp
     filetreeView.cpp
+    dirtreeView.cpp
 )
 
 set(lxqt-archiver_UI
@@ -46,6 +47,7 @@
 lxqt_translate_desktop(DESKTOP_FILES
     SOURCES
     lxqt-archiver.desktop.in
+		USE_YAML
 )
 
 add_executable(lxqt-archiver

=== src/core/CMakeLists.txt ===
--- 
+++ 
@@ -2,10 +2,6 @@
     ${GLIB_INCLUDE_DIRS}
     ${GLIB_JSON_INCLUDE_DIRS}
     ${CMAKE_BINARY_DIR}
-)
-
-add_definitions(
-    -DSHDIR=\"${CMAKE_INSTALL_LIBEXECDIR}/lxqt-archiver\"
 )
 
 add_library(lxqt-archiver-core STATIC
@@ -22,7 +18,7 @@
     fr-command-cfile.c
     fr-command-cpio.c
     fr-command-dpkg.c
-    fr-command-iso.c
+    fr-command-img.c
     fr-command-jar.c
     fr-command-lha.c
     fr-command-lrzip.c
@@ -50,10 +46,6 @@
     ${GLIB_JSON_LDFLAGS}
 )
 
-set(SCRIPT_FILES
-    sh/isoinfo.sh
-)
-
 install(FILES
     ${SCRIPT_FILES}
     DESTINATION "${CMAKE_INSTALL_LIBEXECDIR}/lxqt-archiver"

=== debian/changelog ===
lxqt-archiver (0.9.1-1) unstable; urgency=medium

  [ Macy Lin ]
  * debian/control: build-deps on qttools5-dev. (Closes:#1078292)
  * debian/control: bump to Standards-version to 4.7.0, no changes needed.
  * debian/copyright: added myself.

  [ Andrew Lee (李健秋) ]
  * Clean up of group membership after 2nd calls.
  * debian/copyright: update.

 -- Macy Lin <macy@debconf.org>  Thu, 12 Sep 2024 03:04:07 +0800

lxqt-archiver (0.9.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version. (Closes: #1063740)
  * Build for 7zip use. (Closes: #1063586)

 -- Bastian Germann <bage@debian.org>  Fri, 12 Jul 2024 12:19:18 +0200

lxqt-archiver (0.9.0-2) unstable; urgency=medium

  * Migrate to unstable.
  * d/copyright: Update copyright year.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 10 May 2024 08:13:12 +0800

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,6 @@
 Source: lxqt-archiver
 Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
-Uploaders: Alf Gaida <agaida@siduction.org>,
-           Andrew Lee (李健秋) <ajqlee@debian.org>,
-           Yao Wei (魏銘廷) <mwei@debian.org>,
-           Simon Quigley <tsimonq2@debian.org>,
-           Aaron Rainbolt <arraybolt3@gmail.com>,
+Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
 Section: x11
 Priority: optional
@@ -14,8 +10,9 @@
                libjson-glib-dev,
                libmagic-dev,
                libqt5x11extras5-dev,
-               lxqt-build-tools (>= 0.13.0~)
-Standards-Version: 4.6.2
+               lxqt-build-tools (>= 0.13.0~),
+               qttools5-dev
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-archiver
 Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-archiver.git
 Homepage: https://github.com/lxqt/lxqt-archiver
@@ -26,7 +23,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          bzip2,
-         p7zip-full
+         7zip
 Recommends: gvfs,
             lxqt-archiver-l10n,
             unzip,
@@ -46,7 +43,7 @@
           sharutils,
           unace,
           unalz,
-          unrar-free | unar | unrar | p7zip-rar,
+          unrar-free | unar | unrar | 7zip-rar,
           zoo
 Description: Archiv Manager for LXQt
  LXQt Archiver is an archive manager for the LXQt environment.

## lxqt-archiver 1.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.18.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(lxqt-archiver)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)

option(USE_7Z "Building with 7zip instead of p7zip" OFF)
if(USE_7Z)
    add_definitions(-DUSE_7Z)
endif()

set(GLIB_MINIMUM_VERSION "2.50.0")
set(LIBFMQT_MINIMUM_VERSION "2.0.0")
set(LXQTBT_MINIMUM_VERSION "2.0.0")
set(QT_MINIMUM_VERSION "6.6.0")

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)

include(GNUInstallDirs)


find_package(Qt6Widgets ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt6LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
find_package(fm-qt6 ${LIBFMQT_MINIMUM_VERSION} REQUIRED)
find_package(lxqt2-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)

find_package(GLIB ${GLIB_MINIMUM_VERSION} REQUIRED)
find_package(PkgConfig REQUIRED)

pkg_check_modules(
    GLIB_JSON
    json-glib-1.0
    REQUIRED
)

set(LXQT_ARCHIVER_MAJOR_VERSION 1)
set(LXQT_ARCHIVER_MINOR_VERSION 0)
set(LXQT_ARCHIVER_PATCH_VERSION 0)
set(LXQT_ARCHIVER_VERSION ${LXQT_ARCHIVER_MAJOR_VERSION}.${LXQT_ARCHIVER_MINOR_VERSION}.${LXQT_ARCHIVER_PATCH_VERSION})
add_definitions("-DLXQT_ARCHIVER_VERSION=\"${LXQT_ARCHIVER_VERSION}\"")

include(LXQtPreventInSourceBuilds)
include(LXQtCompilerSettings NO_POLICY_SCOPE)
include(LXQtTranslate)

add_subdirectory(src)

=== debian/changelog ===
lxqt-archiver (1.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes necessary.
  * Adjust dependencies.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 15 Aug 2024 16:49:03 -0500

lxqt-archiver (0.9.1-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Remove 0001-Support-use-of-7zip.patch, now included in upstream code

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Fri, 23 Feb 2024 14:34:49 -0600

lxqt-archiver (0.9.0-0ubuntu2) noble; urgency=medium

  * Fix invalid argument use of 7z. (LP: #2052880)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 11 Feb 2024 21:59:12 +0000

lxqt-archiver (0.9.0-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Bump build dependencies.
  * Bump Standards-version to 4.6.2, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 12 Nov 2023 18:08:55 -0600

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,31 @@
 Source: lxqt-archiver
-Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
-Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
-           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
+Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Uploaders: Alf Gaida <agaida@siduction.org>,
+           Andrew Lee (李健秋) <ajqlee@debian.org>,
+           Yao Wei (魏銘廷) <mwei@debian.org>,
+           Simon Quigley <tsimonq2@debian.org>,
+           Aaron Rainbolt <arraybolt3@gmail.com>
 Section: x11
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               cmake,
-               libfm-qt-dev (>= 1.4.0~),
+Build-Depends: cmake,
+               debhelper-compat (= 13),
+               libfm-qt6-dev (>= 2.0.0),
                libjson-glib-dev,
                libmagic-dev,
-               libqt5x11extras5-dev,
-               lxqt-build-tools (>= 0.13.0~),
-               qttools5-dev
+               lxqt-build-tools (>= 2.0.0)
 Standards-Version: 4.7.0
-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-archiver
-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-archiver.git
+Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-archiver-packaging
+Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-archiver-packaging.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-archiver
+XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-archiver.git
 Homepage: https://github.com/lxqt/lxqt-archiver
 Rules-Requires-Root: no
 
 Package: lxqt-archiver
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         bzip2,
-         7zip
-Recommends: gvfs,
-            lxqt-archiver-l10n,
-            unzip,
-            xz-utils,
-            zip
+Depends: bzip2, p7zip-full, ${misc:Depends}, ${shlibs:Depends}
+Recommends: gvfs, lxqt-archiver-l10n, unzip, xz-utils, zip
 Suggests: arj,
           binutils,
           cpio,
@@ -43,9 +40,9 @@
           sharutils,
           unace,
           unalz,
-          unrar-free | unar | unrar | 7zip-rar,
+          unrar-free | unar | unrar | p7zip-rar,
           zoo
-Description: Archiv Manager for LXQt
+Description: Archive Manager for LXQt
  LXQt Archiver is an archive manager for the LXQt environment.
  It allows you to:
   * Create and modify archives.
@@ -75,8 +72,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: localization
-Depends: ${misc:Depends},
-         qttranslations5-l10n
+Depends: qt6-translations-l10n, ${misc:Depends}
 Description: Language package for lxqt-archiver
  LXQt Archiver is an archive manager for the LXQt environment.
  .

## lxqt-archiver 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,8 +14,8 @@
 endif()
 
 set(GLIB_MINIMUM_VERSION "2.50.0")
-set(LIBFMQT_MINIMUM_VERSION "2.0.0")
-set(LXQTBT_MINIMUM_VERSION "2.0.0")
+set(LIBFMQT_MINIMUM_VERSION "2.1.0")
+set(LXQTBT_MINIMUM_VERSION "2.1.0")
 set(QT_MINIMUM_VERSION "6.6.0")
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
@@ -43,7 +43,7 @@
 )
 
 set(LXQT_ARCHIVER_MAJOR_VERSION 1)
-set(LXQT_ARCHIVER_MINOR_VERSION 0)
+set(LXQT_ARCHIVER_MINOR_VERSION 1)
 set(LXQT_ARCHIVER_PATCH_VERSION 0)
 set(LXQT_ARCHIVER_VERSION ${LXQT_ARCHIVER_MAJOR_VERSION}.${LXQT_ARCHIVER_MINOR_VERSION}.${LXQT_ARCHIVER_PATCH_VERSION})
 add_definitions("-DLXQT_ARCHIVER_VERSION=\"${LXQT_ARCHIVER_VERSION}\"")

=== debian/changelog ===
lxqt-archiver (1.1.0-0ubuntu3) plucky; urgency=medium

  * Update Standards-Version to 4.7.1, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 21 Feb 2025 17:00:08 -0600

lxqt-archiver (1.1.0-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for lxqt-build-tools C++17 -> C++20.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 03 Jan 2025 03:55:26 -0600

lxqt-archiver (1.1.0-0ubuntu1) plucky; urgency=medium

  * New upstream release.
    - Bump build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 15 Nov 2024 15:32:25 -0600

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: lxqt-archiver
 Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
            Yao Wei (魏銘廷) <mwei@debian.org>,
@@ -8,17 +8,44 @@
            Aaron Rainbolt <arraybolt3@gmail.com>
 Section: x11
 Priority: optional
-Build-Depends: cmake,
-               debhelper-compat (= 13),
-               libfm-qt6-dev (>= 2.0.0),
+Build-Depends: debhelper-compat (= 13),
+               cmake (>= 3.18),
+               libfm-qt6-dev (>= 2.1.0),
                libjson-glib-dev,
                libmagic-dev,
-               lxqt-build-tools (>= 2.0.0)
-Standards-Version: 4.7.0
+               libxcb-composite0-dev,
+               libxcb-cursor-dev,
+               libxcb-damage0-dev,
+               libxcb-dpms0-dev,
+               libxcb-dri2-0-dev,
+               libxcb-dri3-dev,
+               libxcb-ewmh-dev,
+               libxcb-glx0-dev,
+               libxcb-icccm4-dev,
+               libxcb-keysyms1-dev,
+               libxcb-present-dev,
+               libxcb-record0-dev,
+               libxcb-render0-dev,
+               libxcb-res0-dev,
+               libxcb-screensaver0-dev,
+               libxcb-shape0-dev,
+               libxcb-shm0-dev,
+               libxcb-util-dev,
+               libxcb-xf86dri0-dev,
+               libxcb-xfixes0-dev,
+               libxcb-xinerama0-dev,
+               libxcb-xinput-dev,
+               libxcb-xkb-dev,
+               libxcb-xtest0-dev,
+               libxcb-xv0-dev,
+               libxcb-xvmc0-dev,
+               libxkbcommon-dev (>= 0.5.0),
+               lxqt-build-tools (>= 2.1.0)
+Standards-Version: 4.7.1
 Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-archiver-packaging
 Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-archiver-packaging.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-archiver
-XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-archiver.git
+Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-archiver
+Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-archiver.git
 Homepage: https://github.com/lxqt/lxqt-archiver
 Rules-Requires-Root: no
 
@@ -75,5 +102,26 @@
 Depends: qt6-translations-l10n, ${misc:Depends}
 Description: Language package for lxqt-archiver
  LXQt Archiver is an archive manager for the LXQt environment.
+ It allows you to:
+  * Create and modify archives.
+  * View the content of an archive.
+  * View a file contained in an archive.
+  * Extract files from the archive.
  .
- This package contains the l10n files needed by the lxqt-archiver.
+ LXQt Archiver supports the following formats:
+  * Tar (.tar) archives, including those compressed with
+    gzip (.tar.gz, .tgz), bzip (.tar.bz, .tbz), bzip2 (.tar.bz2, .tbz2),
+    compress (.tar.Z, .taz), lzip (.tar.lz, .tlz), lzop (.tar.lzo, .tzo),
+    lzma (.tar.lzma) and xz (.tar.xz)
+  * Zip archives (.zip)
+  * Jar archives (.jar, .ear, .war)
+  * 7z archives (.7z)
+  * iso9660 CD images (.iso)
+  * Lha archives (.lzh)
+  * Single files compressed with gzip (.gz), bzip (.bz), bzip2 (.bz2),
+    compress (.Z), lzip (.lz), lzop (.lzo), lzma (.lzma) and xz (.xz)
+ .
+ LXQt Archiver doesn't perform archive operations by itself, but relies on
+ standard tools for this.
+ .
+ This package contains the l10n files needed by lxqt-archiver.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-format

%:
	dh ${@} --buildsystem cmake

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUPDATE_TRANSLATIONS=OFF \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		-DUSE_7Z=ON

## lxqt-archiver 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,14 +8,14 @@
 
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
-option(USE_7Z "Building with 7zip instead of p7zip" OFF)
+option(USE_7Z "Building with 7zip" ON)
 if(USE_7Z)
     add_definitions(-DUSE_7Z)
 endif()
 
 set(GLIB_MINIMUM_VERSION "2.50.0")
-set(LIBFMQT_MINIMUM_VERSION "2.1.0")
-set(LXQTBT_MINIMUM_VERSION "2.1.0")
+set(LIBFMQT_MINIMUM_VERSION "2.2.0")
+set(LXQTBT_MINIMUM_VERSION "2.2.0")
 set(QT_MINIMUM_VERSION "6.6.0")
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
@@ -43,7 +43,7 @@
 )
 
 set(LXQT_ARCHIVER_MAJOR_VERSION 1)
-set(LXQT_ARCHIVER_MINOR_VERSION 1)
+set(LXQT_ARCHIVER_MINOR_VERSION 2)
 set(LXQT_ARCHIVER_PATCH_VERSION 0)
 set(LXQT_ARCHIVER_VERSION ${LXQT_ARCHIVER_MAJOR_VERSION}.${LXQT_ARCHIVER_MINOR_VERSION}.${LXQT_ARCHIVER_PATCH_VERSION})
 add_definitions("-DLXQT_ARCHIVER_VERSION=\"${LXQT_ARCHIVER_VERSION}\"")

=== src/core/CMakeLists.txt ===
--- 
+++ 
@@ -14,16 +14,15 @@
     fr-command-alz.c
     fr-command-ar.c
     fr-command-arj.c
+    fr-command-bsdtar.c
     fr-command.c
     fr-command-cfile.c
     fr-command-cpio.c
     fr-command-dpkg.c
-    fr-command-img.c
     fr-command-jar.c
     fr-command-lha.c
     fr-command-lrzip.c
     fr-command-rar.c
-    fr-command-rpm.c
     fr-command-tar.c
     fr-command-unarchiver.c
     fr-command-unstuff.c

=== debian/changelog ===
lxqt-archiver (1.2.0-1) unstable; urgency=medium

  * Migrate to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 23 Aug 2025 00:27:14 +0800

lxqt-archiver (1.2.0-1~exp1) experimental; urgency=medium

  * New upstream version 1.2.0 (Closes: #1097331)
  * d/control: Bump Standards-Version to 4.7.2.
  * d/control: Update Build-Depends.
  * d/copyright: Update copyright year.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 15 Aug 2025 09:32:48 +0800

lxqt-archiver (1.1.0-1) unstable; urgency=medium

  * New upstream release 1.1.0

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 06 Dec 2024 05:05:56 +0800

lxqt-archiver (1.0.0-1) unstable; urgency=medium

  * Upload to unstable.
  * Run wrap-and-sort.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 28 Nov 2024 21:13:25 +0100

lxqt-archiver (1.0.0-1~exp1) experimental; urgency=medium

  [ Severus Septimius ]
  * New upstream release 1.0.0
  * debian/control: bump dep qttranslations5-l10n -> qt6-translations-l10n
  * debian/control: bump dep on lxqt-build-tools (>= 2.0.0+really2.0.0~)
  * debian/control: remove dep on libqt5x11extras5-dev
  * debian/control: bump dep on qttools5-dev -> qt6-tools-dev
  * debian/control: bump dep on libfm-qt-dev (>= 2.0.2~)

  [ Andrew Lee (李健秋) ]
  * debian/salsa-ci.yml: build against to experimental.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 22 Sep 2024 13:46:22 +0200

=== debian/control ===
Source: lxqt-archiver
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: x11
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libfm-qt-dev (>= 2.2.0+really2.2.0~),
               libjson-glib-dev,
               libmagic-dev,
               lxqt-build-tools (>= 2.2.0~),
               qt6-tools-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-archiver
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-archiver.git
Homepage: https://github.com/lxqt/lxqt-archiver
Rules-Requires-Root: no

Package: lxqt-archiver
Architecture: any
Depends: 7zip, bzip2, ${misc:Depends}, ${shlibs:Depends}
Recommends: gvfs, lxqt-archiver-l10n, unzip, xz-utils, zip
Suggests: arj,
          binutils,
          cpio,
          lha,
          lzip,
          lzma,
          lzop,
          ncompress,
          rar,
          rpm2cpio,
          rzip,
          sharutils,
          unace,
          unalz,
          unrar-free | unar | unrar | 7zip-rar,
          zoo
Description: Archiv Manager for LXQt
 LXQt Archiver is an archive manager for the LXQt environment.
 It allows you to:
  * Create and modify archives.
  * View the content of an archive.
  * View a file contained in an archive.
  * Extract files from the archive.
 .
 LXQt Archiver supports the following formats:
  * Tar (.tar) archives, including those compressed with
    gzip (.tar.gz, .tgz), bzip (.tar.bz, .tbz), bzip2 (.tar.bz2, .tbz2),
    compress (.tar.Z, .taz), lzip (.tar.lz, .tlz), lzop (.tar.lzo, .tzo),
    lzma (.tar.lzma) and xz (.tar.xz)
  * Zip archives (.zip)
  * Jar archives (.jar, .ear, .war)
  * 7z archives (.7z)
  * iso9660 CD images (.iso)
  * Lha archives (.lzh)
  * Single files compressed with gzip (.gz), bzip (.bz), bzip2 (.bz2),
    compress (.Z), lzip (.lz), lzop (.lzo), lzma (.lzma) and xz (.xz)
 .
 LXQt Archiver doesn't perform archive operations by itself, but relies on
 standard tools for this.
 .
 This package contain the LXQt archiver.

Package: lxqt-archiver-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}
Description: Language package for lxqt-archiver
 LXQt Archiver is an archive manager for the LXQt environment.
 .
 This package contains the l10n files needed by the lxqt-archiver.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUPDATE_TRANSLATIONS=OFF \
		-DUSE_7Z=ON \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

execute_before_dh_auto_build:
	@echo "blhc: ignore-line-regexp: .*/CMakeCXXCompilerABI[.]cpp.*"
